<?php

/**
 * This is the model class for table "resourcesubscription".
 *
 * The followings are the available columns in table 'resourcesubscription':
 * @property integer $id
 * @property string $subscriber
 * @property string $notifier_domain
 * @property string $notifier
 * @property string $event
 * @property string $notifyto
 * @property string $data
 * @property integer $inserted
 * @property integer $expires
 */
class ResourceSubscription extends PhonalisaRecord
{

    public $id;
    public $subscriber;
    public $notifier_domain;
    public $notifier;
    public $event;
    public $notifyto;
    public $data;
    public $inserted;
    public $expires;
 
    public static function myAttributes() {

        return array(
//             'id'=>'id',
            'subscriber'=>'subscriber',
            'notifier_domain'=>'notifier_domain',
            'notifier'=>'notifier',
            'event'=>'event',
            'notifyto'=>'notifyto',
            'data'=>'data',
            'inserted'=>'inserted',
            'expires'=>'expires',
        );
    }


	/**
	 * Returns the static model of the specified AR class.
	 * @param string $className active record class name.
	 * @return ResourceSubscription the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'resourcesubscription';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('notifier_domain, notifier, event, notifyto, data, inserted, expires', 'required'),
			array('inserted, expires', 'numerical', 'integerOnly'=>true),
			array('subscriber', 'safe'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id, subscriber, notifier_domain, notifier, event, notifyto, data, inserted, expires', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id' => __('ID'),
			'subscriber' => __('Subscriber'),
			'notifier_domain' => __('Notifier Domain'),
			'notifier' => __('Notifier'),
			'event' => __('Event'),
			'notifyto' => __('Notify to'),
			'data' => __('Data'),
			'inserted' => __('Inserted'),
			'expires' => __('Expires'),
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id',$this->id);
		$criteria->compare('subscriber',$this->subscriber,true);
		$criteria->compare('notifier_domain',$this->notifier_domain,true);
		$criteria->compare('notifier',$this->notifier,true);
		$criteria->compare('event',$this->event,true);
		$criteria->compare('notifyto',$this->notifyto,true);
		$criteria->compare('data',$this->data,true);
		$criteria->compare('inserted',$this->inserted);
		$criteria->compare('expires',$this->expires);

		return new CPhonalisaDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}
}